petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPSetWorkVecs

Sets a number of work vectors into a KSP object

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPSetWorkVecs(KSP ksp,PetscInt nw)

Collective on ksp

### Input Parameters

| ksp | - iterative context
| nw | - number of work vectors to allocate

Developers Note: This is PETSC_EXTERN because it may be used by user written plugin KSP implementations

### Level

developer

### Location

src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages